[CRIU] [PATCH] other/overlayfs: don't use the shell-job option
Andrew Vagin
avagin at openvz.org
Wed Aug 12 01:51:50 PDT 2015
Jenkins runs all tests in a new session without a control terminal.
Signed-off-by: Andrew Vagin <avagin at openvz.org>
---
test/overlayfs/Makefile | 2 +-
test/overlayfs/run.sh | 6 +++---
2 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/test/overlayfs/Makefile b/test/overlayfs/Makefile
index 122099b..78c246b 100644
--- a/test/overlayfs/Makefile
+++ b/test/overlayfs/Makefile
@@ -3,4 +3,4 @@ run:
clean:
umount -f overlay_test/z
- rm -rf overlay_test
+ rm -rf overlay_test output checkpoint
diff --git a/test/overlayfs/run.sh b/test/overlayfs/run.sh
index 58c50ed..41f7aa4 100755
--- a/test/overlayfs/run.sh
+++ b/test/overlayfs/run.sh
@@ -6,7 +6,7 @@ CRIU=../../../criu
setup() {
setup_mount
- sleep 10 3>z/file &
+ setsid sleep 10 3>z/file < /dev/null &> output &
PROC_PID=$!
echo "PROC_PID=$PROC_PID"
sleep 1
@@ -21,13 +21,13 @@ setup_mount() {
check_criu() {
echo "Dumping $PROC_PID..."
- if ! $CRIU dump -D checkpoint --shell-job -t "${PROC_PID}"; then
+ if ! $CRIU dump -D checkpoint -t "${PROC_PID}"; then
echo "ERROR! dump failed"
return 1
fi
echo "Restoring..."
- if ! $CRIU restore -d -D checkpoint --shell-job; then
+ if ! $CRIU restore -d -D checkpoint; then
echo "ERROR! restore failed"
return 1
fi
--
2.4.3
More information about the CRIU
mailing list